package ru.yandex.webmaster3.core.semantic.semantic_document_parser.struct_data.transformers;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.struct_data.JsonStructData;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 13.11.13
 * Time: 6:33
 */
public abstract class JsonStructDataTransformer implements Transformer {

    public abstract JsonStructData transformStruct(final Object o, final String sourceUrl);

    @Override
    public Object transform(final Object o, final String sourceUrl) {
        return transformStruct(o, sourceUrl);
    }
}
